// ANCHOR: here
pub fn greeting(name: &str) -> String {
    String::from("Witaj!")
}
// ANCHOR_END: here

#[cfg(test)]
mod tests {
    use super::*;

    #[test]
    fn greeting_contains_name() {
        let result = greeting("Karolino");
        assert!(result.contains("Karolino"));
    }
}
